/***************************************************************************
    main.cpp
                             -------------------
    copyright            : (C) 2000 by Thomas Leineweber
                           (C) 1997 John Zero
    email                : leine@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tamagadefs.h"
#include "ktamaga.h"
#include <kglobal.h>
#include <kstddirs.h>
#include <klocale.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>

int app_pause=0;
conf *config;

static const char *description = I18N_NOOP("KDE Tamagotchi Emulator");

static const char *version = "v0.7.1";

int main(int argc, char *argv[]) {
  KAboutData aboutData("ktamaga", I18N_NOOP("KTamaga"),
  version, description, KAboutData::License_GPL,
  "(c) 1997, John Zero\n(c) 2000, Thomas Leineweber",
  "http://ktamaga.sourceforge.net/", "",
  "leine@users.sourceforge.net");

  aboutData.addAuthor("Thomas Leineweber", "Maintainer", "leine@users.sourceforge.net");
  aboutData.addAuthor("John Zero");
  KCmdLineArgs::init(argc, argv, &aboutData);

  KApplication app;

  Ktamaga *ktamaga = new Ktamaga();
  app.setMainWidget( ktamaga );
  ktamaga->show();
  
  app.exec();
  return 0;
}
